Ext.define('App.store.SettingStore',{
	extend:'Ext.data.Store',

	constructor: function(cfg){
		var me = this;
		cfg = cfg || {};

		me.callParent([Ext.apply({
			proxy: {
				type: 'ajax',
				url: App.url("/setting/list.json"),
				extraParams: cfg.extraParams || {},
				reader: {
					type: 'json',
					rootProperty: 'records',
					idProperty: 'id',
				}
			},
			fields: [
				{ name: 'name',		type: 'string' },
				{ name: 'value',	type: 'string' },
				{ name: 'category',	type: 'string' },
				{ name: 'type',		type: 'string' },
			]
		}, cfg)]);
	}
});
